Subject: Re: bug#58302: 29.0.50; browse-url-emacs is extremely slow (and I think always has been?)

From: Phil Sainty <[email-masked]>
Date: Fri, 07 Oct 2022 12:25:27 +1300

On 2022-10-07 01:53, Lars Ingebrigtsen wrote:
> Phil Sainty <[email-masked]> writes:
>> If the buffer did not already exist, *Messages* says:
>> File exists, but cannot be read
> 
> I can reproduce this, too.  I think it's likely that the delay is 
> coming
> from the error message (which is a misleading error message).  There's
> probably a "sleep-for 2" after displaying the error message?
> 
> There's a bug report in debbugs somewhere about fixing the error
> message, but I can't find it now.

Perhaps https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42431 ?

There are also a handful of other hits at:
https://debbugs.gnu.org/cgi/search.cgi?phrase=%22File+exists%2C+but+cannot+be+read%22&search=search